1. Card Payments
  • API Docs Colombia 🇨🇴
  • Online Payments
    • Release Notes
    • Card Payments
      • Request a card token
        POST
      • Make a charge or deferred charge
        POST
      • Create payment (tokenless)
        POST
      • Void a transaction
        DELETE
      • Refund a transaction
        DELETE
      • Request deferred options
        GET
      • Authorize payments
        POST
      • Preauthorization (tokenless)
        POST
      • Reauthorize payments
        POST
      • Capture an authorized payment
        POST
      • Verify Account
        POST
      • Validate OTP
        POST
      • Bin Info
        GET
      • BIN info V2
        GET
    • One-Click & Scheduled Payments
      • Request a recurring charge token
      • Create a recurring charge
      • Make an One-click payment
      • Update recurring charge card data
      • Cancel a recurring charge
      • Update a recurring charge
      • Add a temporary charge or discount
      • Authorize payments
      • Capture an authorized payment
      • Get recurring charge Info
    • Chargebacks
      • Query chargebacks
      • Request chargeback export
    • Transfer in
      • Get Bank List
      • Request a Transfer In token
      • Init Transaction
      • Get Status
    • Transfer out
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Balance for Payouts
    • CASH-IN
      • Request a cash in token
      • Init Transaction
      • Transaction Status
      • Delete a cash in transaction
      • Update a cash in transaction
    • Cash-out
      • Request a cash out token
      • Init Transaction
      • Transaction Status
      • Update a cash out transaction
      • Delete a cash out transaction
    • Smartlinks-v2
      • Create a Smartlink
      • Get a Smartlink
      • Update a Smartlink
      • Delete a smartlink
    • Analytics
      • Get transactions list v1
      • Get transactions list v2
    • Gateway-status
      • Get gateway status
      • Get platform status
    • Payment Credentials
      • Create a credential
      • Search credentials
      • Advanced search
      • Delete credential
      • Regenerate a credential
      • Activate or deactivate
      • Update credential
    • Payment Button
      • Create a payment button
    • Settlement
      • Query settlement
    • Subscription Transactions
      • Get subscription transactions
  • Kushki One
    • Cloud Services
      • Payment
        • Charge
        • Authorization (Pre-auth)
        • Capture
        • Re-authorization
        • Post-tip
        • Void
        • Refund
        • Abort
        • Transaction Search
      • Print
        • Create Print Job
        • Get Print Job Status
    • Local Services
      • Payment
        • Charge
        • Authorization (Pre-auth)
        • Capture
        • Re-authorization
        • Post-tip
        • Void
        • Refund
        • Abort
        • Transaction Search — Online
        • Transaction Search — Local
      • Print
        • Create Print Job
        • Get Print Job Status
        • Print Job Webhook (inbound — implemented by your POS)
  • API RAW CARD PRESENT PAYMENTS
    • Release Notes
    • Error Catalog
    • The Amount Object
    • Key Exchange Process
    • Test data
    • Card Information
      • Get BIN Info
      • Balance inquiries
      • BIN info V2
      • Request deferred options
    • One-time Payments
      • Single payment
    • Two-step Payments
      • Authorization and capture
    • Voids & Refunds
      • Void & Reverse
      • Refund a transaction
    • Query Transactions
      • Transaction Search
    • Webhooks
      • Introduction
      • Good Practices
      • Webhooks-Card Payments
      • Webhooks-Refunds
      • Check your webhooks
  • Appian - Submerchant Register
    • Submerchant Validation in Batch
    • Query submerchant status by requestId/submerchantId
    • Get submerchantIds
    • Get credentials for submerchants
  • Schemas
    • RequestBodies
      • one-and-two-step-payment
    • SubscriptionTransactionsResponse
    • Card
    • Channel
    • Amount-cash-in
    • ChargebackListResponse
    • SettlementDateRangeRequest
    • AmountWithTaxes
    • PrintJobRequest
    • card
    • SubscriptionTransaction
    • networkToken
    • ChargebackItem
    • SettlementTicketRequest
    • AmountCore
    • CommandText
    • amount
    • ErrorResponse
    • currency
    • webhooksItem
    • ErrorResponse400
    • SettlementResponse
    • ExtraTaxes
    • CommandColumns
    • extra_taxes
    • Amount
    • ErrorResponse401
    • SettlementRecord
    • ColumnItem
    • pos_details
    • extraTaxes
    • ErrorResponse403
    • TransactionResponse
    • CommandDivider
    • card_details
    • Deferred
    • Country
    • payment_method
    • ErrorResponse500
    • RawResponse
    • CommandFeed
    • enc_tlv
    • Metadata
    • CardData
    • CommandSpace
    • contact_details
    • ContactDetails
    • AmountWithTip
    • CommandCut
    • deferred
    • sub_merchant
    • documentType
    • Subscription
    • LinkFailure
    • CommandImage
    • metadata
    • orderDetails
    • Language
    • TransactionSearchRequest
    • CommandQR
    • Shipping Address
    • payment_submethod
    • CommandBarcode
    • Billing-Address
    • PrinterError
    • product
    • SubscriptionUpdate
    • PrintJobStatus
    • threeDomainSecure
    • SubscriptionAdjustmentRequest
    • PrintWebhookPayload
    • webhooks
    • headers
    • webhooksChargeback
    • citMit
    • network
    • binInfo
    • messageFields
    • UnexpectedErrorResponse
    • transactionType
    • ExternalReferenceId
    • ExternalSubscriptionId
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴
Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴
Chile 🇨🇱
  1. Card Payments

Create payment (tokenless)

POST
/card/v2/charges
Make a single charge without the need for a card token.

This is an On-demand service only available for PCI DSS compliance companies.#

This functionality is available for the following models:#

☑ Acquirer
☐ Aggregator

Limitations#

Only available for Acquirer model
Only available for Visa and Mastercard.
Not compatible with Siftscience nor TransUnion antifraud tools.
Not compatible with Kushki 3DS authentication tool (Use instead your own 3DS authentication engine).
Not compatible with Kushki OTP authentication.

Deferred charges in Colombia 🇨🇴#

For Chile, Colombia and Peru, deferred transactions vary depending on the affiliation model.

For Acquiring#

For deferred charges in Colombian merchants, you have to set the deferred object that includes the creditType, graceMonths, and months parameters.
In all countries, graceMonths must be sent with the value of 00.
CountryDeferred Payment TypecreditType Value

Example: Credit Type 01 (Colombia's Standard Installments)#

  "deferred": {
    "graceMonths": "00",
    "creditType": "01",
    "months": 6
  }

For Aggregator model#

For deferred charges in Colombian merchants in aggregator model, you can send the number of installments in the months parameter.
"months": 3,

Do you have your own 3DS authentication engine?*#

Make sure you include the threeDomainSecure object in your request.

Do you have your own subscriptions engine?*#

In case you have your own subscriptions engine (only PCI Compliance merchants), you can follow the steps below to process recurring charges:
1.
Send initialRecurrence in the transactionMode parameter and process the charge. For this initial transaction, you must send the CVV.
2.
Make sure you save the transactionReference number of the charge completed in step 1.
3.
For the subsequent transactions, send subsequentRecurrence in the transactionMode parameter and include the transactionReference number in the initialRecurrenceReference field. Now you can omit the CVV.
An alternative option to process external subscriptions is by sending the parameter externalSubscriptionID. Click here for more information.

Request

Header Params

Body Params application/json

Examples

Responses

🟢201Created
application/json
Bodyapplication/json

🟠400Bad Request
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://api-uat.kushkipagos.com/card/v2/charges' \
--header 'Private-Merchant-Id;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "card": {
        "name": "John Doe",
        "number": "5311220000122112",
        "expiryMonth": "12",
        "expiryYear": "25",
        "cvv": "123"
    },
    "amount": {
        "subtotalIva": 0,
        "subtotalIva0": 10000,
        "ice": 0,
        "iva": 0,
        "currency": "COP"
    },
    "isDeferred": false,
    "metadata": {
        "referencia": "999929"
    },
    "contactDetails": {
        "documentType": "CC",
        "documentNumber": "1234567890",
        "email": "user@example.com",
        "firstName": "John",
        "lastName": "Doe",
        "phoneNumber": "+573912345678"
    },
    "orderDetails": {
        "siteDomain": "example.com",
        "shippingDetails": {
            "name": "John Doe",
            "phone": "+573912345678",
            "address1": "Cra. 7 #71-52",
            "city": "Bogotá",
            "region": "Cundinamarca",
            "country": "Colombia"
        },
        "billingDetails": {
            "name": "John Doe",
            "phone": "+573912345678",
            "address1": "Cra. 7 #71-52",
            "city": "Bogotá",
            "region": "Cundinamarca",
            "country": "Colombia"
        }
    },
    "productDetails": {
        "product": [
            {
                "id": "198952AB",
                "title": "eBook Digital Services",
                "price": 10000,
                "sku": "10101042",
                "quantity": 1
            }
        ]
    },
    "fullResponse": "v2"
}'
Response Response Example
201 - Approved with fullResponse
{
    "details": {
        "amount": {
            "subtotalIva": 0,
            "subtotalIva0": 5000,
            "ice": 0,
            "iva": 0,
            "currency": "COP",
            "isDeferred": false
        },
        "approvalCode": "123456",
        "approvedTransactionAmount": 5000,
        "binInfo": {
            "bank": "Banco de S.A.",
            "binCard": "531122",
            "cardCountry": "Colombia",
            "lastFourDigits": "2112",
            "type": "credit"
        },
        "cardHolderName": "John Doe",
        "created": 1712092118000,
        "merchantId": "20000000101835540000",
        "merchantName": "CENTRALIZADA NUEVA PRUEBA GOB",
        "messageFields": {
            "f38": "123456",
            "f39": "00",
            "f48": {
                "s22": {
                    "se5": "C101"
                }
            }
        },
        "paymentBrand": "Mastercard",
        "processorBankName": "Kushki",
        "recap": "409321136945",
        "requestAmount": 5000,
        "responseCode": "000",
        "responseText": "Approved or completed successfully.",
        "transactionId": "821712092118240856443",
        "transactionReference": "3d0d7e1f-02b5-46fa-9791-92722f42df5b",
        "transactionStatus": "APPROVAL",
        "transactionType": "SALE"
    },
    "ticketNumber": "821712092118240271",
    "transactionReference": "3d0d7e1f-02b5-46fa-9791-92722f42df5b"
}
Modified at 2026-07-28 15:45:28
Previous
Make a charge or deferred charge
Next
Void a transaction
Built with